MyGUI: MyGUI::ResourceManualFont Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ResourceManualFont Class Reference

`#include <MyGUI_ResourceManualFont.h>`

Inheritance diagram for MyGUI::ResourceManualFont:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceManualFont | RTTIBase
Public Types inherited from MyGUI::IFont
typedef RTTIBase | Base
typedef IFont | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ResourceManualFont ()
virtual | ~ResourceManualFont ()
virtual void | deserialization (xml::ElementPtr _node, Version _version)
virtual GlyphInfo * | getGlyphInfo (Char _id)
virtual ITexture * | getTextureFont ()
virtual int | getDefaultHeight ()
void | setSource (const std::string &value)
void | setDefaultHeight (int value)
void | addGlyphInfo (Char id, const GlyphInfo &info)
Public Member Functions inherited from MyGUI::IFont
template<typename Type >
bool | isType () const
| IFont ()
virtual | ~IFont ()
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IFont
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()
virtual | ~IResource ()
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 17 of file MyGUI_ResourceManualFont.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ResourceManualFont::Base

Definition at line 20 of file MyGUI_ResourceManualFont.h.

## ◆ RTTIBase

typedef ResourceManualFont MyGUI::ResourceManualFont::RTTIBase

Definition at line 20 of file MyGUI_ResourceManualFont.h.

## Constructor & Destructor Documentation

## ◆ ResourceManualFont()

MyGUI::ResourceManualFont::ResourceManualFont | ( |  | ) |

Definition at line 16 of file MyGUI_ResourceManualFont.cpp.

## ◆ ~ResourceManualFont()

MyGUI::ResourceManualFont::~ResourceManualFont | ( |  | ) |
| virtual

Definition at line 23 of file MyGUI_ResourceManualFont.cpp.

## Member Function Documentation

## ◆ addGlyphInfo()

void MyGUI::ResourceManualFont::addGlyphInfo | ( | Char | id,
|  | const GlyphInfo & | info
| ) |  |

Definition at line 161 of file MyGUI_ResourceManualFont.cpp.

## ◆ deserialization()

void MyGUI::ResourceManualFont::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| virtual

Reimplemented from MyGUI::IResource.

Definition at line 52 of file MyGUI_ResourceManualFont.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::ResourceManualFont::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 20 of file MyGUI_ResourceManualFont.h.

## ◆ getDefaultHeight()

int MyGUI::ResourceManualFont::getDefaultHeight | ( |  | ) |
| virtual

Implements MyGUI::IFont.

Definition at line 144 of file MyGUI_ResourceManualFont.cpp.

## ◆ getGlyphInfo()

GlyphInfo * MyGUI::ResourceManualFont::getGlyphInfo | ( | Char | _id | ) |
| virtual

Implements MyGUI::IFont.

Definition at line 27 of file MyGUI_ResourceManualFont.cpp.

## ◆ getTextureFont()

ITexture * MyGUI::ResourceManualFont::getTextureFont | ( |  | ) |
| virtual

Implements MyGUI::IFont.

Definition at line 139 of file MyGUI_ResourceManualFont.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::ResourceManualFont::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::IFont.

Definition at line 20 of file MyGUI_ResourceManualFont.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ResourceManualFont::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 20 of file MyGUI_ResourceManualFont.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceManualFont::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::IFont.

Definition at line 20 of file MyGUI_ResourceManualFont.h.

## ◆ setDefaultHeight()

void MyGUI::ResourceManualFont::setDefaultHeight | ( | int | value | ) |

Definition at line 156 of file MyGUI_ResourceManualFont.cpp.

## ◆ setSource()

void MyGUI::ResourceManualFont::setSource | ( | const std::string & | value | ) |

Definition at line 149 of file MyGUI_ResourceManualFont.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ResourceManualFont.h
- MyGUI_ResourceManualFont.cpp